%define schemas gnome-phone-manager

Name: 	 	gnome-phone-manager
Summary: 	GNOME Cellular Phone Manager
Version: 	0.68
Release: 	1
License:	GPLv2+
Group:		Communications
URL:		http://live.gnome.org/PhoneManager
Source0:	ftp://ftp.gnome.org/pub/gnome/sources/gnome-phone-manager/%{version}/%{name}-%{version}.tar.xz
# already upstream
Patch0:		gnome-phone-manager-0.68_bluetooth3.3api.patch

BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	imagemagick
BuildRequires:	intltool
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(evolution-data-server-1.2)
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gnokii) gnokii
BuildRequires:	pkgconfig(gnome-bluetooth-1.0)
BuildRequires:  pkgconfig(gnome-icon-theme)
BuildRequires:	pkgconfig(gtkspell-2.0)
BuildRequires:	pkgconfig(libbtctl)
BuildRequires:	pkgconfig(libebook-1.2)
BuildRequires:	pkgconfig(libglade-2.0)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(telepathy-glib)
BuildRequires:  pkgconfig(libcanberra-gtk3)

%description
Phone Manager allows you to control aspects of your mobile phone from the
GNOME 2 desktop.

Current features include:
    * Runs in the background; indicates status on the panel notification area.
    * Display on-screen alert when text message (SMS) arrives
    * Text message (SMS) sending facility
    * Evolution Addressbook integration when sending messages 

Phone Manager supports any mobile phone that can connect to your computer as a
serial port: via Bluetooth, IrDA, or a serial cable.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--enable-shared \
	--enable-static

%make LIBS='-lgthread-2.0'

%install
%makeinstall_std

desktop-file-install --vendor="" \
	--add-category="GTK" \
	--add-category="GNOME" \
	--remove-category="Application" \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/*

%find_lang %{name}
rm -fv %{buildroot}%{_libdir}/gnome-bluetooth/plugins/libphonemgr.a

%files -f %{name}.lang
%doc README AUTHORS ChangeLog
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/*
%{_libexecdir}/telepathy-phoney
%{_libdir}/gnome-bluetooth/plugins/libphonemgr.*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.ConnectionManager.phoney.service
%{_datadir}/telepathy/managers/phoney.manager
%{_mandir}/man1/*



%changelog
* Wed May 30 2012 Matthew Dawkins <mattydaw@mandriva.org> 0.68-1
+ Revision: 801444
- new version 0.68
- cleaned up spec

  + Götz Waschk <waschk@mandriva.org>
    - rebuild for new libgnokii

* Sun May 22 2011 Funda Wang <fwang@mandriva.org> 0.66-3
+ Revision: 677073
- rebuild to add gconf2 as req

  + Oden Eriksson <oeriksson@mandriva.com>
    - mass rebuild

* Sun Feb 20 2011 Götz Waschk <waschk@mandriva.org> 0.66-1
+ Revision: 639026
- update build deps
- new version
- add bluetooth plugin
- fix build deps for backports

  + John Balcaen <mikala@mandriva.org>
    - Fix BR for libcanberra-gtk-devel

* Wed Aug 04 2010 Funda Wang <fwang@mandriva.org> 0.65-6mdv2011.0
+ Revision: 565962
- rebuild for new gnokii

* Mon Jun 21 2010 Frederic Crozat <fcrozat@mandriva.com> 0.65-5mdv2010.1
+ Revision: 548448
- Rebuild with latest eds

* Thu Mar 11 2010 Frederic Crozat <fcrozat@mandriva.com> 0.65-4mdv2010.1
+ Revision: 518089
- rebuild with latest gnokii

* Wed Jul 22 2009 Götz Waschk <waschk@mandriva.org> 0.65-3mdv2010.0
+ Revision: 398469
- rebuild for new gnome-bluetooth

* Wed Jun 17 2009 Götz Waschk <waschk@mandriva.org> 0.65-2mdv2010.0
+ Revision: 386576
- rebuild for new gnome-bluetooth

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 0.65-1mdv2010.0
+ Revision: 374675
- new version
- update deps
- fix format strings

* Fri Feb 20 2009 Götz Waschk <waschk@mandriva.org> 0.60-4mdv2009.1
+ Revision: 343275
- fix format strings

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sun Oct 26 2008 Funda Wang <fwang@mandriva.org> 0.60-3mdv2009.1
+ Revision: 297402
- rebuild for new gnokii

* Wed Jul 16 2008 Götz Waschk <waschk@mandriva.org> 0.60-2mdv2009.0
+ Revision: 236403
- enable telepathy support

  + Austin Acton <austin@mandriva.org>
    - update and tidy description

* Sun Jun 29 2008 Funda Wang <fwang@mandriva.org> 0.60-1mdv2009.0
+ Revision: 229992
- New version 0.60

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun Jun 01 2008 Funda Wang <fwang@mandriva.org> 0.51-1mdv2009.0
+ Revision: 213896
- BR gtkspell
- New version 0.51

* Tue Mar 11 2008 Frederic Crozat <fcrozat@mandriva.com> 0.50-1mdv2008.1
+ Revision: 185276
- Add missing files to package
- Release 0.50

* Tue Feb 12 2008 Thierry Vignaud <tv@mandriva.org> 0.40-3mdv2008.1
+ Revision: 166358
- fix gstreamer0.10-devel BR for x86_64
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Fri Nov 16 2007 Jérôme Soyer <saispo@mandriva.org> 0.40-2mdv2008.1
+ Revision: 109160
- Fix schemas installation

* Fri Nov 16 2007 Funda Wang <fwang@mandriva.org> 0.40-1mdv2008.1
+ Revision: 109139
- drop libtelepathy-devel because it locates in contrib
- BR telepathy

  + Jérôme Soyer <saispo@mandriva.org>
    - Add files

* Tue Oct 30 2007 Funda Wang <fwang@mandriva.org> 0.30-1mdv2008.1
+ Revision: 103706
- update to new version 0.30

* Sun Oct 21 2007 Jérôme Soyer <saispo@mandriva.org> 0.20-1mdv2008.1
+ Revision: 100797
- New release 0.20

* Wed Oct 10 2007 Jérôme Soyer <saispo@mandriva.org> 0.10-1mdv2008.1
+ Revision: 96762
- Add files
- New release 0.10

* Thu Sep 20 2007 Adam Williamson <awilliamson@mandriva.org> 0.8-2mdv2008.0
+ Revision: 91319
- add gnome-phone-manager-0.8-libegg.patch to port app away from libegg, the use of which breaks the build
- rebuild for 2008
- remove X-Mandriva menu category
- fd.o icons
- minor spec clean


* Sat Jan 13 2007 Jérôme Soyer <saispo@mandriva.org> 0.8-1mdv2007.0
+ Revision: 108329
- New release 0.8

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 0.7-6mdv2007.1
+ Revision: 89468
- rebuild
- rebuild

* Thu Nov 09 2006 Götz Waschk <waschk@mandriva.org> 0.7-4mdv2007.1
+ Revision: 79261
- Import gnome-phone-manager

* Thu Nov 09 2006 Götz Waschk <waschk@mandriva.org> 0.7-4mdv2007.1
- unpack patches
- rebuild for new libbtctl

* Fri Aug 04 2006 Frederic Crozat <fcrozat@mandriva.com> 0.7-3mdv2007.0
- Rebuild with latest dbus
- fix xdg tag

* Mon May 15 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.7-2mdk
- add BuildRequires: desktop-file-utils

* Thu May 11 2006 Frederic Crozat <fcrozat@mandriva.com> 0.7-1mdk
- Release 0.7
- Patch0: fix pixmaps location
- migrate menu to xdg

* Tue Apr 25 2006 Frederic Crozat <fcrozat@mandriva.com> 0.6-4mdk
- Rebuild with latest e-d-s

* Fri Feb 10 2006 Götz Waschk <waschk@mandriva.org> 0.6-3mdk
- patch for new openobex
- use mkrel

* Fri Nov 25 2005 Austin Acton <austin@mandriva.org> 0.6-2mdk
- buildrequires libevolution-data-server-devel

* Fri Nov 25 2005 Austin Acton <austin@mandriva.org> 0.6-1mdk
- 0.6
- source URL
- drop gcc4 patch
- buildrequires libgnokii-devel

* Wed Aug 31 2005 Austin Acton <austin@mandriva.org> 0.4-5mdk
- rebuild for libbtctl
- gcc4 fixes

* Fri Mar 11 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.4-4mdk
- add BuildRequires: librsvg-devel

* Thu Sep 30 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-3mdk
- Fix buildrequires

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-2mdk
- Fix menu

* Thu Jun 24 2004 Austin Acton <austin@mandrake.org> 0.4-1mdk
- 0.4

* Tue Jun 22 2004 Austin Acton <austin@mandrake.org> 0.3-1mdk
- initial package

